## IdeSymbolTree IdeSymbolTree |

## Functions

guint | ide_symbol_tree_get_n_children ()
IdeSymbolNode * | ide_symbol_tree_get_nth_child ()

## Types and Values

#define | IDE_TYPE_SYMBOL_TREE
struct | IdeSymbolTreeInterface
| IdeSymbolTree

## Description

## Functions

### ide_symbol_tree_get_n_children ()

    guint
    ide_symbol_tree_get_n_children (IdeSymbolTree *self,
                                    IdeSymbolNode *node);

Get the number of children of `node` . If `node` is NULL, the root node is assumed.

#### Parameters

self | An `IdeSymbolTree` |
node | An IdeSymbolNode or `NULL`. | [allow-none]

#### Returns

An unsigned integer containing the number of children.

### ide_symbol_tree_get_nth_child ()

    IdeSymbolNode *
    ide_symbol_tree_get_nth_child (IdeSymbolTree *self,
                                   IdeSymbolNode *node,
                                   guint nth);

Gets the `nth` child node of `node` .

#### Parameters

self | An IdeSymbolTree. |
node | an IdeSymboNode. | [allow-none]
nth | the nth child to retrieve. |

#### Returns

A IdeSymbolNode or `NULL`.

[transfer full][nullable]

## Types and Values

### IDE_TYPE_SYMBOL_TREE

    #define IDE_TYPE_SYMBOL_TREE (ide_symbol_tree_get_type ())

### struct IdeSymbolTreeInterface

    struct IdeSymbolTreeInterface {
      GTypeInterface parent;

      guint          (*get_n_children) (IdeSymbolTree *self,
                                        IdeSymbolNode *node);
      IdeSymbolNode *(*get_nth_child)  (IdeSymbolTree *self,
                                        IdeSymbolNode *node,
                                        guint          nth);
    };

### IdeSymbolTree

    typedef struct _IdeSymbolTree IdeSymbolTree;